Summary:	KDE-based player for tfmx music from the Amiga
Name:		sakuraplayer
Version:	2.1.7
Release:	%mkrel 3
URL:		http://darkstar.tabu.uni-bonn.de/~neo/audio.html
Source0:	http://darkstar.tabu.uni-bonn.de/~neo/tfmx/%{name}-%{version}.tar.bz2
# Fix build by not including byteorder.h - AdamW 2007/09
Patch0:		sakuraplayer-2.1.7-build.patch
License:	GPL+
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	kdebase-devel
BuildRequires:	chrpath
BuildRequires:	SDL-devel
BuildRequires:	openssl-devel

%description
Sakura Player is the successor to TFMXcess. It is based on the
tfmx-play sources. You can use it to play tfmx modules from famous
Amiga games like R-Type or Turrican.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1 -b .build

%build
rm -rf autom4te.cache/
%configure2_5x --disable-rpath \
        --with-qt-dir=%{qt3dir} \
        --with-qt-includes=%{qt3include} \
        --with-qt-libraries=%{qt3lib}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

chrpath -d %buildroot%_bindir/%name

# Drop the very old format upstream .desktop file and create a new one
rm -f %{buildroot}%{_datadir}/applnk/Multimedia/%{name}.desktop
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Name=Sakura Player
Comment=TFMX music player
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
MimeType=foo/bar;foo2/bar2;
Categories=KDE;Qt;AudioVideo;Audio;Player;
EOF

%post
%{update_menus}
%{update_icon_cache hicolor}

%postun
%{clean_menus}
%{clean_icon_cache hicolor}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO 
%dir %{_datadir}/doc/HTML/en/
%doc %{_datadir}/doc/HTML/en/sakuraplayer/*
%{_bindir}/tfmx-play
%{_bindir}/sakuraplayer
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_datadir}/mimelnk/x-tfmx.desktop



%changelog
* Sun Sep 16 2007 Funda Wang <fundawang@mandriva.org> 2.1.7-3mdv2007.1
+ Revision: 88381
- specify qt3dir via qt3.macros

* Fri Sep 07 2007 Adam Williamson <awilliamson@mandriva.com> 2.1.7-2mdv2008.0
+ Revision: 81390
- rebuild for 2008
- don't package COPYING
- update icon cache in %%post
- don't use old upstream .desktop file, generate our own
- drop legacy menu and icons
- use configure2_5x macro
- clean description
- use Fedora license policy
- patch0: fix build by dropping #include asm/byteorder.h
- spec clean
- Import sakuraplayer



* Thu Sep  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.7-1mdk
- small build fix
- New release 2.1.7

* Mon Aug 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.4-1mdk
- New release 2.1.4

* Wed Jun 30 2004 Michael Scherer <misc@mandrake.org> 2.1.2-5mdk 
- rebuild for new gcc

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.2-4mdk
- fix buildrequires

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.2-3mdk
- fix source URL
- fix buildrequires

* Sun Apr 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.2-1mdk
- new version

* Thu Mar  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.1-1mdk
- strip rpaths
- update file list
- fix cflags
- drop prefix
- new version

* Mon Aug  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-1mdk
- fix buildrequires
- new version

* Thu May  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-12mdk
- fix buildrequires

* Tue Apr 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-11mdk
- fix directory ownership
- fix buildrequires

* Fri Apr 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-10mdk
- buildrequires (libqt3-devel should be fixed instead)

* Fri Mar 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-9mdk
- buildrequires

* Thu Mar 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-8mdk
- buildrequires

* Thu Mar 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-7mdk
- fix buildrequires

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-6mdk
- buildrequires

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-5mdk
- buildrequires

* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0.0-4mdk
- rebuild

* Fri Aug 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-3mdk
- gcc 3.2-0.3mdk build

* Wed Jul 31 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-2mdk
- fix a rpmlint warning
- arrg, really gcc 3.2 build

* Thu Jun 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.0.0-1mdk
- 2.0.0

* Mon Mar 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.6-1mdk
- 1.0.6

* Tue Jan 15 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.5-1mdk
- 1.0.5

* Fri Oct 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4-2mdk
- rebuild against new libpng

* Mon Sep 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 1.0.4
	- removed Buildrequires for fam-devel 

* Fri Aug  3 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- BuildRequires: fam-devel
- 1.0.2

* Tue Jul 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> 
	- 1.0.1

* Thu Jun 21 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-1mdk
- 1.0.0

* Tue Jun 19 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-1mdk
- 0.7.0
- updated file list

* Mon Apr 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.0-1mdk
- added in contribs by Gtz Waschk <waschk@linux-mandrake.com> :
	- initial package
